Subject: bug#16467: [bug-diffutils] bug#16467: Diffutils 3.3 v. VMS (et al.)

From: Paul Eggert <[email-masked]>
Date: Thu, 16 Jan 2014 13:05:23 -0800

On 01/16/2014 06:06 AM, Steven M. Schweda wrote:
>    I normally build diffutils on a Tru64 UNIX system using the
> vendor-supplied C compiler, which resembles the vendor-supplied C
> compiler on VMS.  (Then I hand-edit the resulting config.h for use on
> VMS.)  On Tru64, I ran into the previously reported "make check" failure
> caused by the too-modern "export var=value" stuff in that "make" file.

Sorry, I've forgotten which failure that was.  Is it fixed
in the git master now?  Or do you have a URL for the bug?

> After getting past that problem, I was stopped by not having the exactly
> correct version (1.13a) of automake.  Perhaps there's some simple
> wark-around for that, but the error message I got did not lead me to it.
> Is "make check" intended only for serious developers, or should any peon
> expect to be able to make it work starting from a simple source kit?

If you start from a tarball distribution and don't change
it, 'make check' should not require the use of 'automake'
(and if it does so I'd like to see how to reproduce the
bug).  'automake' should be required only if you're a
developer building from the git master, or if you are
editing the source code in the tarball.